FreeMat

- Main Page
- Related Pages

vtkXMLImageDataWriter

Section: Visualization Toolkit IO Classes

# Usage

vtkXMLImageDataWriter writes the VTK XML ImageData file format. One image data input can be written into one file in any number of streamed pieces. The standard extension for this writer's file format is "vti". This writer is also used to write a single piece of the parallel file format.

To create an instance of class vtkXMLImageDataWriter, simply invoke its constructor as follows

      obj = vtkXMLImageDataWriter

# Methods

The class vtkXMLImageDataWriter has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkXMLImageDataWriter class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkXMLImageDataWriter = obj.NewInstance ()`
- `vtkXMLImageDataWriter = obj.SafeDownCast (vtkObject o)`
- `string = obj.GetDefaultFileExtension ()` - Get the default file extension for files written by this writer.